classification
Title: In xml.etree.ElementTree docs there is no parser argument in fromstring()
Type: enhancement Stage: resolved
Components: Documentation, Library (Lib), XML Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Manjusaka, berker.peksag, cheryl.sabella, docs@python, eli.bendersky, martin.panter, miss-islington, py.user, scoder
Priority: normal Keywords: patch

Created on 2016-09-21 11:24 by py.user, last changed 2019-02-22 00:50 by cheryl.sabella. This issue is now closed.

Files
File name Uploaded Description Edit
fromstring-parser.diff py.user, 2016-09-21 11:24 Add argument and description review
Pull Requests
URL Status Linked Edit
PR 11903 merged Manjusaka, 2019-02-17 02:07
PR 11983 merged miss-islington, 2019-02-22 00:34
Messages (9)
msg277124 - (view) Author: py.user (py.user) * Date: 2016-09-21 11:24
https://docs.python.org/3/library/xml.etree.elementtree.html#xml.etree.ElementTree.fromstring

The function has argument parser that works like in XML() function, but in the description there is no info about it (copied from XML() description).

Applied a patch to the issue that adds argument to the signature and describes it.
msg277174 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-09-21 17:04
Instead of duplicating XML() documentation, I'd suggest changing fromstring() documentation to say something like "this is an alias for ElementTree.XML()."
msg277208 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-09-22 08:38
Added review comment
msg335734 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-02-16 23:34
@py.user, would you be able to convert your patch to a Github pull request?  Thanks!
msg335745 - (view) Author: Manjusaka (Manjusaka) * Date: 2019-02-17 02:12
I have already make a pull request on GitHub
msg336170 - (view) Author: py.user (py.user) * Date: 2019-02-21 01:10
@Cheryl Sabella, I guess Manjusaka has done it already and this looks fine.
msg336273 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-02-22 00:34
New changeset e5458bdb6af81f9b98acecd8819c60016d3f1441 by Cheryl Sabella (Manjusaka) in branch 'master':
bpo-28235: Fix xml.etree.ElementTree.fromstring docs (GH-11903)
https://github.com/python/cpython/commit/e5458bdb6af81f9b98acecd8819c60016d3f1441
msg336274 - (view) Author: miss-islington (miss-islington) Date: 2019-02-22 00:45
New changeset b046f1badaaffb7e526b937fa2192c449b9076ed by Miss Islington (bot) in branch '3.7':
bpo-28235: Fix xml.etree.ElementTree.fromstring docs (GH-11903)
https://github.com/python/cpython/commit/b046f1badaaffb7e526b937fa2192c449b9076ed
msg336275 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-02-22 00:50
Thank you @py.user for reporting this issue and for the original patch and thank you @Manjusaka for the PR!

This was my first merge! Woot! :-)
History
Date User Action Args
2019-02-22 00:50:39cheryl.sabellasetstatus: open -> closed
resolution: fixed
messages: + msg336275

stage: patch review -> resolved
2019-02-22 00:45:34miss-islingtonsetnosy: + miss-islington
messages: + msg336274
2019-02-22 00:34:20miss-islingtonsetpull_requests: + pull_request12007
2019-02-22 00:34:06cheryl.sabellasetmessages: + msg336273
2019-02-21 01:10:36py.usersetmessages: + msg336170
2019-02-17 02:12:00Manjusakasetnosy: + Manjusaka
messages: + msg335745
2019-02-17 02:07:58Manjusakasetpull_requests: + pull_request11929
2019-02-16 23:34:53cheryl.sabellasetversions: + Python 3.8, - Python 3.5, Python 3.6
nosy: + cheryl.sabella

messages: + msg335734

type: behavior -> enhancement
2016-09-22 08:38:26martin.pantersetnosy: + martin.panter
messages: + msg277208
2016-09-21 17:04:04berker.peksagsetnosy: + berker.peksag

messages: + msg277174
versions: + Python 3.5, Python 3.7
2016-09-21 16:34:00serhiy.storchakasetstage: patch review
2016-09-21 16:33:44serhiy.storchakasetnosy: + scoder, eli.bendersky
2016-09-21 11:24:16py.usercreate